Bug 539817 - SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "read" access on /proc.
Summary: SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "read" acces...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:0a25adf9f4a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-21 07:32 UTC by Wolfgang Rupprecht
Modified: 2009-12-13 14:38 UTC (History)
25 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:40:51 UTC


Attachments (Terms of Use)
audit.log entries for chrome's avc flurry (35.40 KB, text/plain)
2009-11-21 07:40 UTC, Wolfgang Rupprecht
no flags Details

Description Wolfgang Rupprecht 2009-11-21 07:32:18 UTC
Summary:

SELinux is preventing /usr/lib64/chromium-browser/chrome-sandbox "read" access
on /proc.

Detailed Description:

[chrome-sandbox has a permissive type (chrome_sandbox_t). This access was not
denied.]

SELinux denied access requested by chrome-sandbox. It is not expected that this
access is required by chrome-sandbox and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:proc_t:s0
Target Objects                /proc [ dir ]
Source                        chrome-sandbox
Source Path                   /usr/lib64/chromium-browser/chrome-sandbox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           chromium-4.0.252.0-0.1.20091119svn32498.fc12
Target RPM Packages           filesystem-2.4.30-2.fc12
Policy RPM                    selinux-policy-3.6.32-46.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1
                              SMP Sat Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Fri 20 Nov 2009 11:26:55 PM PST
Last Seen                     Fri 20 Nov 2009 11:26:55 PM PST
Local ID                      db398846-3390-4a6c-8749-bc49a851d7ce
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258788415.615:41054): avc:  denied  { read } for  pid=27864 comm="chrome-sandbox" name="/" dev=proc ino=1 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=dir

node=(removed) type=AVC msg=audit(1258788415.615:41054): avc:  denied  { open } for  pid=27864 comm="chrome-sandbox" name="/" dev=proc ino=1 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=system_u:object_r:proc_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1258788415.615:41054): arch=c000003e syscall=2 success=yes exit=3 a0=401f60 a1=90800 a2=7ffffb4a3805 a3=7ffffb4a1120 items=0 ppid=27859 pid=27864 auid=1000 uid=1000 gid=1000 euid=0 suid=0 fsuid=0 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=44 comm="chrome-sandbox" exe="/usr/lib64/chromium-browser/chrome-sandbox" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-46.fc12,catchall,chrome-sandbox,chrome_sandbox_t,proc_t,dir,read
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t proc_t:dir { read open };

Comment 1 Wolfgang Rupprecht 2009-11-21 07:40:29 UTC
Created attachment 372699 [details]
audit.log entries for chrome's avc flurry

chromium is being a bad boy and playing around in /proc

Comment 2 Wolfgang Rupprecht 2009-11-21 07:43:04 UTC
This bug should probably be filed against chromium for mucking about in /proc.  What is it doing down there anyway?

Comment 3 Daniel Walsh 2009-11-23 13:51:48 UTC
Looks like the chromium sandbox is doing the equiv of a ps command.

I will dontaudit this to prevent it.  Not sure if this is a chrome-sandbox bug or not.  But a sandbox should definitely not be able to list the running process on a system.

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 4 Fedora Update System 2009-11-23 23:38:52 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 5 Fedora Update System 2009-11-25 15:22:06 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 6 Fedora Update System 2009-12-02 04:33:20 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.